> ## Documentation Index
> Fetch the complete documentation index at: https://developers.manglai.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Vehicle

> Create or update a vehicle



## OpenAPI

````yaml /openapi.json post /api/v1/vehicles
openapi: 3.0.3
info:
  title: Manglai Public API
  description: Manglai API for Carbon Footprint Management
  contact:
    email: admin@manglai.io
    name: Manglai Support
    url: https://manglai.io
  termsOfService: https://manglai.io/privacy
  version: '1.0'
servers:
  - url: https://www.manglai.io
    description: Production
security:
  - apiTokenAuth: []
tags: []
paths:
  /api/v1/vehicles:
    post:
      tags:
        - vehicles
      summary: Create Vehicle
      description: Create or update a vehicle
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - id
                - type
                - companyId
                - buildingId
                - licencePlate
              properties:
                id:
                  type: string
                type:
                  type: string
                vehicleCategoryId:
                  type: string
                motorType:
                  type: string
                fuelTypeId:
                  type: string
                companyId:
                  type: string
                buildingId:
                  type: string
                licencePlate:
                  type: string
                transportType:
                  type: string
                vehicleTransportSize:
                  type: string
                control:
                  type: string
                  nullable: true
                operationalControl:
                  type: string
                  nullable: true
                startDate:
                  type: string
                  format: date-time
                  nullable: true
                endDate:
                  type: string
                  format: date-time
                  nullable: true
                brand:
                  type: string
                class:
                  type: string
                model:
                  type: string
                removedAt:
                  type: string
                  format: date-time
                  nullable: true
                isGeneric:
                  type: boolean
                  nullable: true
      responses:
        '200':
          description: Vehicle created or updated
components:
  securitySchemes:
    apiTokenAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````